Subject: bug#6668: 23.1.90; desktop-read and/or hack-local-variables fails to load local variables from DOS formatted files

From: B Goodr <[email-masked]>
Date: Tue, 8 Dec 2020 13:22:19 -0800

Hi Lars,

I withdraw this request:

I have stopped using Microsoft Windows as my primary development platform,
and thus have stopped using Emacs on that platform.  It would be very
difficult for me to reify an Emacs setup on that platform at this point.

This test case is very convoluted indeed. I doubt that you or anyone else
has the willingness to try to unravel it at this late date.

thanks,
Brent

On Tue, Dec 8, 2020, 09:38 Lars Ingebrigtsen <[email-masked]> wrote:

> Brent Goodrick <[email-masked]> writes:
>
> > The desktop-read function (actually hack-local-variables) gives a
> > false error when the local variables in a buffer that is being read
> > have CR codes as a part of the line terminators.
>
> (This bug report unfortunately got no response at the time.)
>
> > The error stack trace on the latter command is (control codes squashed
> > into literal escape sequences for the email report):
> >
> > Debugger entered--Lisp error: (error "Local variables entry is missing
> the suffix")
> >   signal(error ("Local variables entry is missing the suffix"))
> >   error("Local variables entry is missing the suffix")
> >   hack-local-variables()
> >   normal-mode(t)
> >   after-find-file(nil t)
> >   find-file-noselect-1(#<buffer perltest.pm> "~/perltest.pm" nil nil
> "/mnt/sdb1/home/brentg/perltest.pm" (32524636 2065))
> >   find-file-noselect("/home/brentg/perltest.pm")
> >   desktop-restore-file-buffer("/home/brentg/perltest.pm" "perltest.pm"
> nil)
>
> Are you still seeing this issue in more recent Emacs versions?
>
> The recipe for reproduction here was kinda convoluted, so I didn't try
> it.  If the bug is still present, is loading the perltest.pm file
> sufficient to reproduce the bug, or does desktop have to be involved,
> somehow?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>